using System;

internal sealed class Delegate417 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate417 delegate417_1)
	{
		return delegate417_1(object_0);
	}

	public extern Delegate417(object object_0, IntPtr intptr_0);

	static Delegate417()
	{
		Class10.smethod_13(typeof(Delegate417).TypeHandle);
	}

	internal static Delegate417 delegate417_0;
}
